# Uses of Interface
org.eclipse.ui.commands.ICommandManager

Packages that use ICommandManager
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of ICommandManager in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return ICommandManager
Modifier and Type
Method
Description
`ICommandManager`
CommandManagerEvent.`getCommandManager()`
Deprecated.
`ICommandManager`
IWorkbenchCommandSupport.`getCommandManager()`
Deprecated.
Constructors in org.eclipse.ui.commands with parameters of type ICommandManager
Modifier
Constructor
Description
``
`CommandManagerEvent(ICommandManager commandManager, boolean activeContextIdsChanged, boolean activeKeyConfigurationIdChanged, boolean activeLocaleChanged, boolean activePlatformChanged, boolean definedCategoryIdsChanged, boolean definedCommandIdsChanged, boolean definedKeyConfigurationIdsChanged, Set previouslyDefinedCategoryIds, Set previouslyDefinedCommandIds, Set previouslyDefinedKeyConfigurationIds)`
Deprecated.
Creates a new instance of this class.